Shape Bender Error Code


#1

Hi,
I’m a newbie and I’ve tried to download Shape Bender since then I’ve been getting this error message:

Error Loading File clf_shape_bender_loader.rb
Error: #
/Applications/SketchUp 2014/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.0/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:in require’
/Applications/SketchUp 2014/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.0/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:45:inrequire’
/Users/peteramos/Library/Application Support/SketchUp 2014/SketchUp/Plugins/clf_shape_bender_loader.rb:22:in `’

I’ve uninstalled the plugin and re-download SketchUp all to no avail. Please help, I want to do some work on an stl file and it is freezing SU each time.

Thanks in advance.


#2

Have you go the latest RBZ version from the EWH ?
I suspect from the messages that you have an installed older version.
Chris Fullmer has not updated his tool’s version at the SCF PluginStore, and the older version requires that you get ‘progressbar.rb’ from Smustard.com and put it in the Plugins folder too.
The EWH version does not need that ‘helper’…


#3

Thank you so much for taking the time to help! I have subsequently discovered, at EWH, that the fact that I have an iMac is significant; others seem to have a similar problem. Do you have any advice? Thank you once again.


#4

Contact the tool’s author, Chris Fullmer - he’s a Team Trimble guy, often found around here…


#5

Lets try to summon him: @ChrisFullmer


#6

Peter, can you confirm that you do have most recent version of the script that is hosted on the Extension Warehouse? I’ll try to load it on my Mac and see if it is working or not for me.